/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@colors:
  blau #1890ff,
  tuerkis #006d75,
  lila #9254de,
  rosa #eb2f96,
  gruen #389e0d,
  orange #d46b08;

.lea-table-regulatory-proposal-column {
  display: flex;
  flex-direction: row;
  align-items: center;

  .iter(length(@colors));
  .iter(@i) when (@i > 0) {
    .iter(@i - 1);
    @pair: extract(@colors, @i);
    @key: extract(@pair, 1);
    @value: extract(@pair, 2);
    &.@{key} {
      & > svg {
        & > path {
          fill: @value !important;
        }
      }
    }
  }

  & > svg {
    margin-right: 1rem;
  }

  & > .regulatoryName {
    font-weight: 500;
    word-break: break-word;
    flex: 1;
  }
}

.lea-table-compound-document-column {
  display: flex;
  flex-direction: column;
  & > .lea-table-compound-document-title {
    display: flex;
    align-items: flex-end;
    flex-direction: row;
    font-weight: 500;
    & > svg {
      margin-right: 1rem;
    }

    & > .title {
      display: inline-block;
      overflow: hidden;
      white-space: normal;
      flex: 1;
    }
  }

  & > .lea-compound-document-title {
    font-size: 1.6rem;
    line-height: 1rem;
    font-weight: 400;
    color: var(--text-gray);
    margin-left: 2.7rem;
    margin-top: 8px;
  }
}

#lea-user-documents-table,
#lea-user-version-history-table {
  .ant-table-cell.ant-table-row-expand-icon-cell {
    display: none;
  }
  & .ant-table-row {
    & > .ant-table-cell {
      padding: 1rem;
    }
    &.ant-table-row-level-1 {
      & > .ant-table-cell:nth-of-type(2) {
        padding-left: 3.3rem;
        width: 20%;
      }
    }
    &.ant-table-row-level-2 {
      & > .ant-table-cell:nth-of-type(2) {
        padding-left: 5rem;
      }
    }
  }
  & .expanded-parent.ant-table-row-level-0 {
    & .ant-table-row-expand-icon-cell + .ant-table-cell {
      border-radius: 7px 0 0 0;
    }
  }
}
